#pragma once
#include "SyncQueue.h"
#include "basecamera.h"
#include <pylon/PylonIncludes.h>
#include <pylon/BaslerUniversalInstantCamera.h>
#include <pylon/_BaslerUniversalCameraParams.h>
#include <pylon/ConfigurationEventHandler.h>
#include <pylon/BaslerUniversalCameraEventHandler.h>
#include <GenApi/INodeMap.h>
#include <pylon/FloatParameter.h>

#define BaslerClassID 0x02
#define c_maxCamerasToUse (size_t)2

//5:灰色
//6:黑色
//1:红色
//2:黄色
//3:白色
//4:绿色

class BaslerCamera : public BaseCamera
{
public:
    BaslerCamera();
    ~BaslerCamera();

    static int Enumerate();

public:
    static Pylon::DeviceInfoList_t devices;
};
